<?php

if($_POST && isset($_POST['identity'])){
	OC_Preferences::setValue(OC_User::getUser(), 'user_yubikey', 'identity', $_POST['identity']);
}

$tmpl = new OC_Template( 'user_yubikey', 'settings');
$tmpl->assign('identity',OC_Preferences::getValue(OC_User::getUser(),'user_yubikey','identity',''));

return $tmpl->fetchPage();
